Please select Into the mobile phone version | Continue to access the computer ver.
DJI Fly app not compatible
1234567
60475 264 2019-11-13
Uploading and Loding Picture ...(0/1)
o(^-^)o
Andeslight
lvl.1

United States
Offline

DJI Paladin Posted at 2019-11-15 12:10
Hi, I am sorry for the trouble that the DJI Fly has caused. upon checking Samsung A3 is not yet listed as a recommended mobile device for the DJI Mavic Mini and with the DJI Fly application. The said mobile device may work however we can't guarantee the stability of the said unit since it is not yet tested by DJI. For additional reference I will be posting a link ( https://www.dji.com/dji-fly#download ) where in we can check the list of the compatible devices for the DJI Mavic Mini and for the DJI Fly application. Thank you.

[view_image]

So you guys want to sell new drones or just want to sell the phones in your list?
5-21 13:15
Use props
jflaplante
lvl.1
Flight distance : 23829 ft
Canada
Offline

5 months later... DJI seems to have done nothing to resolve that problem.  So the choices are: buy an expensive drone, run DJI Go and use a cheap phone/table OR buy a cheap drone run DJI Fly and be forced to use a phone/tablet that is worth more than the drone itself...
5-23 06:44
Use props
Mark Nicholls
lvl.1

Canada
Offline

IEdzus Posted at 2019-11-13 19:53
First of all your mobile is not supported by the Fly App, why wouldnt you check it out before purchasing to avoid such a situation. The spec's on that phone are low-medium so it bound to have issues.  
And im using the recomended phone and still having issues, these things do happen when ever a new product is released. Just give them time it will be resolved.

Oh cmon man... as if that’s something every person should know.  Get off your “know it all” high horse as if your somehow smarter than the rest of humanity.  It’s a given, in this day and age things should just work.  There’s no godly reason someone should have to “check to see if my phone is 64 bit compatible”.  We didn’t all nerd out in the 80s like you, man.
6-8 16:48
Use props
djiuser_zaZFHqF3f0pV
New

United States
Offline

DJI gets a triple thumbs down. I'm an engineer...no problem understanding technical specs. Wanted to be sure my phone was compatible before I bought a Mavic Mini.  Checked their website: "Name:
DJI Fly. Required Operating System: iOS v10.0 or later, Android v6.0 or later." My phone runs Android v7.0 so I thought I was good. Made the purchase. And of course the app "is not compatible." Emailed DJI support and got this canned answer: "Following the County of Los Angeles "Safer at Home Order For Control of COVID-19" and the Executive Order from the State of California to stay at home, and in following the guidance on how to prevent the spread of COVID-19 from the California Department of Public Health, we regret to inform you that we have decided to minimize our repair operations in California. Some product repairs and shipment times are expected to be delayed or suspended. Thank you for your understanding and support." Called their telephone help line the next day. Waited 45 minutes. Finally a guy who can barely speak English evades all responsibility. Wants to blame it on me. Won't admit the website is wrong and misleading. Has no solution other than for me to purchase a new phone. Chinese company; TERRIBLE.
6-8 21:26
Use props
Junior - Brazil
Captain
Flight distance : 377972 ft
Brazil
Offline

On the packaging, "Made for Iphone", it means that it was not made for Android, note that updates are made available for the iOS system first. But the number of users with the Android system is very large and the Android application must exist, so the "iOS" and "Android" logos appear with the respective QR code for the respective application.
The big problem is that DJI must explain that, for Android, the application works only with the 64-bit Android system, no matter if the device has a 64-bit processor, if the Android system is 32-bit (like Samsung J7, A10, A20 etc.) they only run a 32-bit application.
I know friends all over the world, various groups of users on a social network where many people have tested and put their devices on the list of "which ones work" and "which ones do not" DJI Fly and I can say that this list is much bigger than the official list from DJI. An example is the excellent blog "Cult of Drone, by Steve XU, I recommend reading mainly the technical details.
I, as an example, use a Motorola G7 plus, which works with Android 9 and even updated to Android 10, works perfectly: this is due to having 4 GB of RAM, 64 GB of memory and Android 10.

Hugs for all

6-9 05:48
Use props
djiuser_zXBwf8QBmjIJ
lvl.1

Pakistan
Offline

Wooppaa...!!.
I just put an order for dji mavic mini drone and still couple of days to receive my product with " cash on delivery" option.
So excited for drone that i wish and tried to  pre- install the dji app for mavic mini . But just got message of incompatibility issue..
wawoo ..
such on a percise and perfect  time   before i can pay 500$ including tax for combo mini drone..
Thanks god.
6-28 03:35
Use props
gort
lvl.3

United Kingdom
Offline

I'm hoping my Huawei P Smart works, according to this list it does
https://www.phantomhelp.com/tips/best-tabletsphones-for-dji-go.18
6-28 08:11
Use props
djiuser_o9WH3abJ8tMb
lvl.1

Belgium
Offline

PercyJackson Posted at 2019-11-14 06:15
I bought Mavic Mini and can't install Dji-Fly app on my Galaxy Note Edge :/ My android version is 6.0.1 and this cover "Android 6 and later", but when try to install I get "App not installed". May be the reason is that "32bit not compatible"? This is not serious! DJI, please recompile this app for 32bit OS. It no sense to buy drone for $500 and phone for another $500

Buy a huawei. Cheap an compatible
7-4 03:57
Use props
fansa3ca2932
lvl.4
Flight distance : 126680 ft
Russia
Offline

gort Posted at 6-28 08:11
I'm hoping my Huawei P Smart works, according to this list it does
https://www.phantomhelp.com/tips/best-tabletsphones-for-dji-go.18

Looks like not marked as for Dji Fly.
7-4 07:31
Use props
Custo Dec
New

United States
Offline

fans8fed3570 Posted at 2019-12-29 22:29
What the ХУЙНЯ ТАКАЯ is going on? When will the update be released?
Tell me the timeline?
DJI must be sued! РАСПИЗДЯИ!

Хуйня полная! Подскажи как установит апп на НОТЕ4,? Он просто не хочет устанавливаться на мой телефон!
7-10 12:21
Use props
djiuser_e3arNfXDRZUy
lvl.1

India
Offline

The same issue of app is going on with me...
C'mon dji its not a big deal to make the app compatible with android devices...
In fact other dji apps just works fine and this won't.... now i need to spent extra for buying a new smartphone...
7-19 06:42
Use props
djiuser_2QSPB1V5fqqT
lvl.1

United States
Offline

DJI Paladin Posted at 2019-11-15 12:10
Hi, I am sorry for the trouble that the DJI Fly has caused. upon checking Samsung A3 is not yet listed as a recommended mobile device for the DJI Mavic Mini and with the DJI Fly application. The said mobile device may work however we can't guarantee the stability of the said unit since it is not yet tested by DJI. For additional reference I will be posting a link ( https://www.dji.com/dji-fly#download ) where in we can check the list of the compatible devices for the DJI Mavic Mini and for the DJI Fly application. Thank you.

[view_image]

go2hell and take your sorry drone with you
8-12 23:18
Use props
djiuser_5nFP6GmeQNZM
lvl.1
Flight distance : 163005 ft
Greece
Offline

Sorry does anyone knows if Samsung A30s is compatible because i am getting a new phone and i want to be sure about the compatibility please if anyone knows answer
8-13 09:41
Use props
djiuser_X46NArPdW25p
New

United Kingdom
Offline

Wow! I can count myself... Err... Lucky?

I have a pile of cash in front of me to go to the shop tomorrow and buy my first DJI drone. I bought a new phone last month  so thought there would be no problem.  Boy was I wrong!

I'm sorry DJI! You could have had £500 of my UK pounds tomorrow morning,  but since I'm not going to buy two phones in two months, you have cost yourself yet another customer.

Just a ridiculous and very costly business decision! I would have been a new customer.  Now I will never be one!

Thanks for nothing.
8-17 18:00
Use props
chechoaccietto
lvl.2
Flight distance : 254347 ft
Argentina
Offline

I have a mavic mini and a phatom 3 standard, are almost the same.. I can't undertand why you need a 64bits phone to use the app... I think DJi must do something about this.. I have a Moto g4 running with Android 7.0 which I use for my drones, I don't like to use my personal phone it's not a toy.. I prefer to have a second phone.. Unfortunaly I can't do that...
9-7 10:22
Use props
AE1M
lvl.4
Flight distance : 148428 ft
United States
Offline

Maybe they should support 8-bit flip phones also?  Buy a used iPhone7+ or similar without a SIM or any cell plan and use it as your controller phone.  Tether to your old phone with Bluetooth for Google Maps during flight, problem solved.
9-7 13:49
Use props
vortex19
lvl.4
United Kingdom
Offline

Junior - Brazil Posted at 6-9 05:48
On the packaging, "Made for Iphone", it means that it was not made for Android, note that updates are made available for the iOS system first. But the number of users with the Android system is very large and the Android application must exist, so the "iOS" and "Android" logos appear with the respective QR code for the respective application.
The big problem is that DJI must explain that, for Android, the application works only with the 64-bit Android system, no matter if the device has a 64-bit processor, if the Android system is 32-bit (like Samsung J7, A10, A20 etc.) they only run a 32-bit application.
I know friends all over the world, various groups of users on a social network where many people have tested and put their devices on the list of "which ones work" and "which ones do not" DJI Fly and I can say that this list is much bigger than the official list from DJI. An example is the excellent blog "Cult of Drone, by Steve XU, I recommend reading mainly the technical details.

"Made for iPhone" is Apple's licencing program that means that the product is officially compatible with the iPhone and has been certified by the developer to meet Apple's performance standards. It doesn't mean that the product is designed just for the iPhone.

9-7 15:15
Use props
Junior - Brazil
Captain
Flight distance : 377972 ft
Brazil
Offline

vortex19 Posted at 9-7 15:15
"Made for iPhone" is Apple's licencing program that means that the product is officially compatible with the iPhone and has been certified by the developer to meet Apple's performance standards. It doesn't mean that the product is designed just for the iPhone.

Thank you for this important observation.
Hugs
9-7 16:15
Use props
Flaming
lvl.4
Flight distance : 192641 ft
Canada
Offline

OMG .. i ordered a Mavic mini and i will get it in a few hours and a i just found out about this issue ....  My phone is a Motorola G7 Power with Android 10  .. not in the supported list.   
i downloaded CPU-Z and in the system section its says Kernel Architecture : aarch64     .. so looks like im 64 bits.   I downloaded the DJI fly app and installed just fine ...
Now im just hoping that it will work just fine with no app crash .. will fly real low for the first flights to see if it's stable.    But i agree .. kinda stupid to not support 32 bit.  
i originaly wanted to use my Lenevo Tablet but no ...
9-9 06:43
Use props
Alevpi
First Officer
Flight distance : 43556 ft
Russia
Online

Flaming Posted at 9-9 06:43
OMG .. i ordered a Mavic mini and i will get it in a few hours and a i just found out about this issue ....  My phone is a Motorola G7 Power with Android 10  .. not in the supported list.   
i downloaded CPU-Z and in the system section its says Kernel Architecture : aarch64     .. so looks like im 64 bits.   I downloaded the DJI fly app and installed just fine ...
Now im just hoping that it will work just fine with no app crash .. will fly real low for the first flights to see if it's stable.    But i agree .. kinda stupid to not support 32 bit.  

If DJI Fly is installed and started, then most likely everything will work.


Personally, I do not understand the crying about not being compatible with smatphone at the moment, which prevents people from installing the app on their smartphone before buying and trying it out!
9-12 19:52
Use props
Alevpi
First Officer
Flight distance : 43556 ft
Russia
Online

As for the compatibility fix, DJI said that in principle it will not do this....

Here is also can be take such example already almost six months ago bought drone Mavic Mini and registered his, but icon this drone I have on avatar so and not appeared, wrote local moderators, so they until now this not can correct!!!
9-12 19:55
Use props
Merlin1951
lvl.2
Flight distance : 107546 ft
United States
Offline

HeirFlick Posted at 2019-12-1 07:13
Well said sir. My brother sells the Mini through his business and he like all of us only became aware after the fly App was released weeks after masses of people had pre ordered the drone and paid for it. From my asking questions I think most were buying the drone because it was a way to introduce children with an additional cheaper phone to the hobby. My child always wants to fly my drones but because it is essential for work I did not want to risk it and I thought the same. It is still wrapped up waiting to be an Xmas present but the phone debacle makes me feel this is not going to happen. No way am I forking out five hundred quid for a phone for a child when I already have two newish ( 2017 - 2019 ) phones that were expensive and have the requirements DJI ask but still do not work. I think DJI's inability to speak to the public or at least release an official statement kinda says what the company see's us as. The fan boys are certainly not willing to stand behind those having issues and the You Tube media won't ask the searching questions tell me its all about the cash. We are just plebs.

Sorry for such a long delay. I haven't been frequenting the forums for a while. As I had mentioned before I cancelled my order for the mini. I later purchased a Mavic Air 2 which I thoroughly enjoy. I ran into an issue with it also in that I couldn't utilize all the features of it, again, because of my phone. I finally went out and found an unlocked, refurbished Galaxy S8+ for $175. I only use it for flying my Spark and the Air 2; no phone service. It works great and I'm happy. I found several Galaxy phones on both Amazon and eBay. You might want to try there and pick up a deal.
9-28 05:31
Use props
Merlin1951
lvl.2
Flight distance : 107546 ft
United States
Offline

djiuser_4LMAomPrDIqs Posted at 1-3 11:14
I just received the drone and was really disappointed to have this issue. I have an Samsung 8 edge running Android 9 and the app won't install. I really hope on works on the s10 when it gets back from the shop.

I'm using a refurbed Samsung Galaxy S8+ with Android 9. Works extremely well. Check out Amazon or eBay. You can find a refurbed one very cheap.
9-28 05:51
Use props
djiuser_puBCboHAWa8t
New
United States
Offline

IEdzus Posted at 2019-11-13 19:53
First of all your mobile is not supported by the Fly App, why wouldnt you check it out before purchasing to avoid such a situation. The spec's on that phone are low-medium so it bound to have issues.  
And im using the recomended phone and still having issues, these things do happen when ever a new product is released. Just give them time it will be resolved.


That is not correct. The MINI and the DJI Fly app ia not compatible with Samsung Note 9....I have one and it wont work with the mini or DJI Fly App.
10-4 15:16
Use props
fans506bfe6c
lvl.2
Netherlands
Offline

I am very sad: I have two Google Nexus 7 tablets with Android 6 and one Nexus 9 with Android 7. Very nice devices to use with the DJI Go 4 app, but not working with the Mini or Mini 2.
Please Mr.DJI, make a 32-bit compatible version!!!
19 hours ago
Use props
1234567
Advanced
You need to log in before you can reply Login | Register now

Credit Rules